development requirements fill buildrequires
authorElan Ruusamäe <glen@delfi.ee>
Mon, 29 Apr 2013 21:53:01 +0000 (00:53 +0300)
committerElan Ruusamäe <glen@delfi.ee>
Mon, 29 Apr 2013 21:53:01 +0000 (00:53 +0300)
gem2rpm.spec
pld.spec.erb

index 580df46..bc21eeb 100644 (file)
@@ -5,7 +5,7 @@
 Summary:       Generate rpm specfiles from gems
 Name:          gem2rpm
 Version:       0.9.2
-Release:       0.9
+Release:       0.10
 License:       GPL v2+
 Group:         Development/Languages
 Source0:       https://github.com/lutter/gem2rpm/archive/v%{version}.tar.gz
index 39b519f..26822cf 100644 (file)
@@ -22,23 +22,23 @@ BuildRequires:      ruby-devel
 <% if ! spec.executables.empty? -%>
 BuildRequires: sed >= 4.0
 <% end -%>
-<% if ! spec.required_rubygems_version.empty? and ! spec.required_rubygems_version.first.empty? -%>
-Requires:      ruby-rubygems <%= spec.required_rubygems_version.first %>
-<% end -%>
-<% for d in spec.runtime_dependencies.sort -%>
-<% for req in d.requirement -%>
-Requires:      ruby-<%= d.name %> <%= req %>
-<% end -%>
-<% end -%>
 <% if ! spec.development_dependencies.empty? -%>
 %if %{with tests}
 <% for d in spec.development_dependencies.sort -%>
 <% for req in d.requirement -%>
-Requires:      ruby-<%= d.name %> <%= req %>
+BuildRequires: ruby-<%= d.name %> <%= req %>
 <% end -%>
 <% end -%>
 %endif
 <% end -%>
+<% if ! spec.required_rubygems_version.empty? and ! spec.required_rubygems_version.first.empty? -%>
+Requires:      ruby-rubygems <%= spec.required_rubygems_version.first %>
+<% end -%>
+<% for d in spec.runtime_dependencies.sort -%>
+<% for req in d.requirement -%>
+Requires:      ruby-<%= d.name %> <%= req %>
+<% end -%>
+<% end -%>
 <% if spec.extensions.empty? -%>
 BuildArch:     noarch
 <% end -%>
This page took 0.361078 seconds and 4 git commands to generate.